sync with sylpheed 0.4.99cvs2
[claws.git] / INSTALL
1 Installation
2 ============
3
4 This program requires GTK+ 1.2.6 or higher to be compiled.
5
6 This program is developed on Debian GNU/Linux (woody)
7 (Linux 2.2.x + glibc 2.2), so it is possible not to work correctly
8 on the other environment.
9
10 It is confirmed to work on the following environments:
11
12 o Debian GNU/Linux (woody/sid) (glibc 2.2)
13 o Kondara MNU/Linux (glibc 2.1.x)
14 o Vine Linux 1.1 (glibc 2.0.x + libwcsmbs)
15 o Vine Linux 2.0 (glibc 2.1.x) (Intel, PPC)
16 o Vine Linux 2.1
17 o Laser5 Linux 6.0 (glibc 2.1.x)
18 o Laser5 Linux 6.2 (glibc 2.1.x)
19 o Laser5 Linux 6.4 (glibc 2.1.x)
20 o TurboLinux 4.0 (glibc 2.0.7 + libwcsmbs)
21 o TurboLinux 6.0 (glibc 2.1.2)
22 o Miracle Linux Standard Edition Version1.0
23 o Miracle Linux for PostgreSQL Version1.0
24 o Miracle Linux for Samba Version1.0
25 o RedHat Linux 5.2 (glibc 2.0.7)
26 o RedHat Linux 6.0
27 o RedHat Linux 6.1 + Helix GNOME (glibc 2.1.x)
28 o RedHat Linux 6.2 / 6.2J (glibc 2.1.x)
29 o RedHat Linux 7.0 / 7.0J
30 o RedHat Linux 7.1
31 o LinuxPPC2000 + Yukikaze(Japanization kit)
32 o Linux2000G (Intel / PPC)
33 o HOLON Linux 2.0 (Intel / PPC)
34 o Linux for PPC Japanese Edition 2.0 (glibc 2.1.x)
35 o Linux for PPC Japanese Edition 3.0 (glibc 2.1.x)
36 o Linux MLD4
37 o Linux MLD5
38 o Plamo Linux 2.0
39 o Slackware 7.1
40 o Linux Mandrake 7.0
41 o Linux Mandrake 7.1
42 o Linux Mandrake 7.2
43 o Linux Mandrake 8.0
44 o SuSE Linux 6.3 (glibc 2.1.2)
45 o SuSE Linux 6.4
46 o SuSE Linux 7.0
47 o SuSE Linux 7.1
48 o OpenLinux 2.3 (glibc 2.1.1 -> 2.1.3)
49 o Caldera OpenDesktop 2.4
50 o Conectiva Linux 4.0
51 o Conectiva Linux 5.0
52 o Vector Linux 1.5
53 o FreeBSD 3.2-RELEASE
54 o FreeBSD 3.4-RELEASE
55 o FreeBSD 4.0-RELEASE
56 o FreeBSD 4.1-RELEASE
57 o FreeBSD 4.2-RELEASE
58 o FreeBSD 5.0-CURRENT
59 o NetBSD 1.4.2
60 o NetBSD 1.5 + XPG4DL
61 o OpenBSD 2.7
62 o OpenBSD 2.8 (i386)
63 o BSD/OS 4.0.1
64 o Solaris 2.5
65 o Solaris 2.5.2
66 o Solaris 2.6
67 o Solaris 7
68 o Solaris 8
69 o IRIX 6.3
70 o IRIX 6.5 6.5.8m
71 o HP-UX 10.20
72 o Mac OS X (Darwin 1.3) + Xtools (has locale problem)
73 o Windows (cygwin + GTK+ for win32) (unstable)
74
75 For installation, just type:
76
77 % ./configure
78 % make
79 % su
80 Password: [Enter password]
81 # make install
82
83 I recommend you to install gdk-pixbuf or gdk_imlib library before installing
84 for built-in image view support, and libcompface for X-Face support.
85
86
87 If you want to enable multithread support, append the option
88 --enable-threads after ./configure.
89
90 WARNING: Multithread support is still in an experimental stage, and it
91          DOESN'T work correctly. DON'T use it unless you want to hack it.
92
93 If you want to enable IPv6 support, append the option
94 --enable-ipv6 after ./configure.
95
96 If you want to enable GnuPG support, you need GPGME 0.2.1 or later, and
97 GnuPG 1.0.4f or later. You can get them from the following location:
98
99   ftp://ftp.gnupg.org/pub/gcrypt/alpha/gpgme/
100   ftp://ftp.gnupg.org/pub/gcrypt/devel/
101
102 and append the option --enable-gpgme after ./configure.
103
104 WARNING: the GnuPG support is still in the development stage, and it
105          may not work correctly. I suggest never to use a real key.
106          Please use sample keys.
107
108
109 If the installation of Sylpheed failed, check all needed libraries are
110 correctly installed. If it still failed, please send bug report to:
111
112   Hiroyuki Yamamoto <hiro-y@kcn.ne.jp>